DISPDATA_ARRAY_CONVERT_3COORD(3)

EXPERIMENTAL_FUNC
dispdata_array_convert_3coord - Convert canvas co-ordinate to 3D dataset co-ordinate.

SYNOPSIS
#include <karma_dispdata.h>

flag dispdata_array_convert_3coord

(KDisplayDataObject dataobject, KDisplayDataWindow window, double *x, double *y, double *z, double h, double v)

DESCRIPTION
Convert canvas co-ordinate to 3D dataset co-ordinate.

dataobject
    The KDisplayDataObject to clone.

window
    The KDisplayDataWindow.

x   The dataset X image pixel co-ordinate is written here.

y   The dataset Y image pixel co-ordinate is written here.

z   The dataset Z image pixel co-ordinate is written here.

h   The horizontal co-ordinate on the world canvas.

v   The vertical co-ordinate on the world canvas.

RETURN VALUE
TRUE on success, else FALSE.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/